@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&family=Merriweather:wght@300;400;700&display=swap');

html {
  scroll-behavior: smooth;
  --feed-shadow-visibility: visible;
}
body {
  margin: 0;
  padding: 0;
  --font-light-color: #515151;
  --font-medium-color: #2b2b2b;
  --bg-color: #f1f1f1;
  --bg-nav-color: #f1f1f1d8;
  --card-color: #f9f9f9;
  --bg2-color: #18365a;
  --accent-color: #2e486e;
  --accent2-color: rgb(32, 135, 194);
  --accent3-color: #daa21b;
  --light-shadow: 0px 0px 8px rgba(0, 0, 0, 0.24);
  --medium-shadow: 0px 0px 30px -10px rgba(0, 0, 0, 0.15);
  --default-transition-time: 0.2s;
  --section-width: 95%;

  font-family: 'Inter', sans-serif;
  font-size: 16px;
  background-color: var(--bg-color);
}
* {
  box-sizing: border-box;
}

nav {
  z-index: 1;
  position: fixed;
  top: 0;
  width: 100%;
  height: 120px;
  border-bottom: 1px solid #d0d0d0;
  background-color: var(--bg-nav-color);
  backdrop-filter: blur(10px);
}
.nav-container {
  max-width: 1360px;
  margin: 0 auto;
  padding: 0 25px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 100%;
  color: var(--accent-color);
  --link-gap: 1.2em;
}

.mobile-menu {
  display: none;
  position: relative;
  top: 0;
  height: 95vh;
  width: 100%;
  background-color: var(--bg-nav-color);
}
.nav-links-mobile {
  width: fit-content;
  list-style: none;
  margin: auto;
  padding: 10px 0;
  font-size: 20px;
  font-weight: 500;
  color: var(--accent-color);
}
.nav-links-mobile li {
  position: relative;
  padding: 20px;
  text-align: center;
}
.nav-links-mobile li::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  bottom: 0px;
  left: 0;
  right: 0;
  background-color: var(--accent-color);
}

.links-container {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 22px;
  font-weight: 500;
  gap: var(--link-gap);
}

.nav-links {
  height: 100%;
  list-style-type: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0;
  padding: 0;
  gap: var(--link-gap);
}
nav a,
button a {
  color: inherit;
  text-decoration: inherit;
}
.links-container a {
  color: inherit;
  text-decoration: inherit;
  height: 100%;
  display: flex;
  align-items: center;
  transition: box-shadow var(--default-transition-time);
}
.links-container a:hover {
  color: var(--accent2-color);
  cursor: pointer;
  box-shadow: inset 0 -3px 0 0 var(--accent2-color);
}
.nav-links li {
  display: inline;
  height: 100%;
  display: flex;
  align-items: center;
}

.v-separator {
  border-left: 1px solid var(--accent-color);
  height: 1.5em;
}

.phone-container {
  display: flex;
  align-items: center;
}
.phone-icon {
  width: 1em;
  height: 100%;
  display: flex;
  align-items: center;
  margin: 0 0.4em;
}

.binder-icon {
  width: 1.7em;
  display: flex;
}
.logo {
  display: flex;
  align-items: center;
  gap: 14px;
}
.logo-text {
  display: flex;
  flex-direction: column;
}
.logo-l1 {
  font-size: 1.75em;
}
.logo-l2 {
  margin-top: 2px;
  font-size: 2.25em;
  font-weight: 700;
}
.mobile-bg {
  opacity: 0.2;
  position: absolute;
  top: 120px;
  width: 100%;
  min-height: 600px;
  object-fit: cover;
  object-position: 25% 25%;
  height: auto;
  z-index: -1;
  display: none;
}
.hero {
  max-width: 1260px;
  width: var(--section-width);
  margin: 160px auto 80px auto;
}
.hero-text {
  flex-shrink: 0;
}
h1 {
  font-size: 36px;
  font-weight: 500;
  line-height: 0.84em;
}
h1 em {
  color: var(--accent-color);
  font-weight: 600;
  font-style: normal;
}
h1 span {
  font-size: max(0.66em, 15px);
  font-weight: 400;
}
.hero header li::before {
  margin-right: 5px;
  content: url('data:image/svg+xml;charset=UTF-8,<svg width="18" height="13" viewBox="0 0 18 13" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M6.1136 12.0924L0.263593 6.71667C-0.0878643 6.3937 -0.0878643 5.87005 0.263593 5.54705L1.53636 4.37743C1.88781 4.05443 2.4577 4.05443 2.80915 4.37743L6.75 7.99878L15.1908 0.242225C15.5423 -0.0807416 16.1122 -0.0807416 16.4636 0.242225L17.7364 1.41184C18.0879 1.73481 18.0879 2.25846 17.7364 2.58146L7.3864 12.0925C7.0349 12.4154 6.46506 12.4154 6.1136 12.0924Z" fill="%232E486E"/></svg>');
}
.hero header ul {
  list-style: none;
  font-size: 16px;
  line-height: 175%;
  padding-left: 18px;
}
button {
  background-color: var(--accent-color);
  border-radius: 5px;
  color: white;
  font-size: 18px;
  font-weight: 500;
  border: none;
  width: 160px;
  height: 46px;
  box-shadow: var(--light-shadow);
  transition: background-color var(--default-transition-time);
}
button:hover {
  cursor: pointer;
  background-color: var(--accent2-color);
}
button a {
  display: inline-block;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}

#hero-btn {
  margin-top: 28px;
  margin-left: 18px;
  padding: 0;
}

.hero header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.img-wrap {
  padding: 6px;
  background-color: var(--accent-color);
  border-radius: 5px;
}
.image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
.img-wrap.hero-img {
  width: 36%;
  box-shadow: var(--light-shadow);
}

.services-list {
  display: flex;
  justify-content: space-between;
  margin-top: 100px;
  gap: 3%;
}

.card {
  background-color: var(--card-color);
  border-radius: 6px;
  box-shadow: var(--medium-shadow);
  font-family: Merriweather;
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: box-shadow var(--default-transition-time);
}
.card:hover {
  box-shadow: 0px 0px 30px -10px #2087c28e;
}
.services-list .card {
  width: 100%;
  padding: 20px 12px;
}
.card-icon {
  color: var(--accent-color);
  margin-bottom: 10px;
}
.card header {
  font-size: 20px;
  font-weight: 400;
}
.card ul {
  list-style-type: '- ';
  color: var(--font-light-color);
  padding-left: 18px;
  margin-top: 22px;
  width: 100%;
  line-height: 185%;
  font-weight: 300;
  font-size: 15px;
}

.section-alt {
  background-color: var(--bg2-color);
  color: white;
  padding: 100px 0;
  width: 100%;
}
h2 {
  font-weight: 700;
  font-size: 28px;
  text-align: center;
  margin-top: 0;
  margin-bottom: 50px;
}
.section-alt .text-columns {
  width: 100%;
  display: flex;
  align-items: stretch;
  justify-content: space-between;
  font-family: Merriweather;
  font-size: 16px;
  font-weight: 300;
  line-height: 142%;
}
.section-alt .column-separator {
  border-left: 1px solid white;
  border-bottom: 1px solid white;
  margin: 2em 1em;
}
.section-alt .text-column {
  max-width: 540px;
}
.section-alt .section-content {
  max-width: 1260px;
}

.section-content {
  display: flex;
  justify-content: space-between;
  width: var(--section-width);
  max-width: 1100px;
}
.section-text {
  color: var(--font-medium-color);
  width: 615px;
  line-height: 130%;
}
.section-text p {
  margin: 35px 0 0 0;
  font-weight: 400;
}
h3 {
  margin: 0;
  font-size: 18px;
}
.section-text em {
  font-style: normal;
  font-weight: 600;
  color: var(--accent-color);
}
.advantages-list {
  display: flex;
  flex-direction: column;
  gap: 26px;
  justify-content: space-between;
  width: 320px;
  margin-left: 10px;
}
.advantages-list .card {
  display: flex;
  justify-content: center;
  height: 100%;
  color: var(--font-light-color);
  font-family: inter;
  font-size: 19px;
}
section {
  padding-top: 100px;
  scroll-margin-top: 70px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

hr {
  margin: 100px auto 0 auto;
  max-width: 1100px;
  width: 100%;
  height: 1px;
  background-color: #d6d6d6;
  border: none;
}

footer {
  background-color: var(--bg2-color);
  color: white;
  height: 100%;
  padding: 50px 0;
  margin-top: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.footer-container {
  max-width: 985px;
  width: var(--section-width);
  height: 200px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
footer .logo {
  width: 315px;
}
.footer-icon {
  display: flex;
  align-items: center;
  width: 1.5em;
  color: var(--accent3-color);
  margin-right: 10px;
}
footer strong {
  font-size: 1.2em;
  font-weight: 500;
}
.footer-col {
  height: 100%;
  display: flex;
  font-weight: 300;
  flex-direction: column;
}
.footer-row {
  display: flex;
  align-items: center;
  height: 33.3%;
}
.contact-details {
  font-size: 1.125em;
  font-weight: 300;
}
p {
  margin: 16px 0 0 0;
}

.feed-container {
  max-width: 1100px;
  width: 95%;
  margin: auto;
  height: 680px;
  overflow: hidden;
  position: relative;
}
.feed-container::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 180px;
  bottom: 0;
  box-shadow: inset 0px -130px 150px 0px var(--bg-color);
  visibility: var(--feed-shadow-visibility);
}

.nav-links li a.active {
  box-shadow: inset 0 -3px 0 0 var(--accent2-color);
  color: var(--accent2-color);
}

button.btn-alt {
  background-color: rgb(216, 216, 216);
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 100px;
  height: fit-content;
  padding: 8px;
  margin-top: 15px;
  box-shadow: none;
  color: black;
  font-size: 1em;
}
button.btn-alt:hover {
  background-color: rgb(199, 199, 199);
}
button.btn-alt svg {
  transition: transform var(--default-transition-time);
}
svg {
  display: block;
}

.footer-row a {
  text-decoration: none;
  color: white;
  transition: color var(--default-transition-time);
}
.footer-row a:hover {
  color: var(--accent3-color);
}
.mobile-links-container {
  display: none;
  align-items: center;
  gap: 1em;
  font-size: 20px;
  height: 100%;
}
.mobile-links-container > * {
  height: 100%;
  display: flex;
  align-items: center;
  cursor: pointer;
  transition: box-shadow var(--default-transition-time);
}
.mobile-links-container > *:hover {
  box-shadow: inset 0 -3px 0 0 var(--accent2-color);
}
.menu-icon {
  width: 1.6em;
  display: flex;
  align-items: center;
}
.footer-details-container {
  display: flex;
  height: 100%;
  width: 100%;
  justify-content: end;
  gap: 80px;
}

@media screen and (min-width: 1000px) and (max-width: 1100px) {
  .links-container {
    font-size: 20px;
  }
}

@media screen and (max-width: 1000px) {
  .links-container {
    display: none;
  }
  .mobile-links-container {
    display: flex;
    font-weight: 500;
  }
  .nav-container {
    padding: 0 10px;
  }
  .logo {
    font-size: max(1.5vw, 10px) !important;
  }

  .img-wrap.hero-img {
    display: none;
  }
  .services-list {
    flex-direction: column;
    gap: 15px;
    width: fit-content;
    margin: 100px auto;
  }
  h1 {
    font-size: 5.5vw;
  }
  .hero-text ul,
  #hero-btn {
    padding-left: 0 !important;
    margin-left: 0;
  }
  .hero {
    margin-top: 140px;
  }
  .mobile-bg {
    display: block;
  }
}

@media screen and (max-width: 900px) {
  .footer-container {
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: flex-start;
    height: 90%;
  }
  .footer-details-container {
    justify-content: space-between;
    min-height: 200px;
    margin-bottom: 30px;
  }
  .footer-col {
    height: auto;
    flex: 1 1 50%;
  }
  footer .logo {
    width: fit-content;
  }
  .text-columns {
    flex-direction: column;
  }
  .section-alt .text-columns {
    width: fit-content;
  }
  .section-content {
    justify-content: center;
  }

  .advantages-list {
    margin: 0;
    flex-direction: row;
    width: 100%;
    flex-wrap: wrap;
    margin-top: 35px;
  }
  .advantages-list .card {
    /* width: 47%; */
    flex: 1 1 46%;
    padding: 16px 0;
  }
  #o-biurze .section-content {
    flex-direction: column;
  }
  .section-text {
    width: 100%;
  }
}

@media screen and (max-width: 550px) {
  .logo {
    font-size: 10px !important;
  }
  .phone-container span {
    display: none;
  }
  .hero-text ul {
    font-size: 14px !important;
  }
  .footer-details-container {
    font-size: 13px;
    gap: 10px;
  }
  .hero-text {
    flex-shrink: 1;
  }
  nav {
    height: 90px !important;
  }
  .mobile-bg {
    top: 90px;
  }
  .hero {
    margin-top: 120px !important;
  }
}
